### Method

# Snapd AutorefreshChangeData get_snap_names

since: 1.65

#### Declaration [src]

    GStrv
    snapd_autorefresh_change_data_get_snap_names (
      SnapdAutorefreshChangeData* change_data
    )

#### Description [src]

Returns the list of snaps that have a pending update but are inhibited because they have a running program.

Available since: 1.65

Gets property | `Snapd.AutorefreshChangeData:snap-names`

#### Return value

Type: An array of `utf8`

A GStrv with the snap names, or NULL if the property wasn’t defined.

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.